package brn.gui.diagram;

import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramEditorInput;
import org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy;
import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.ui.IEditorInput;

public class DiagramEditorInputProxy extends EditorInputProxy
  implements IDiagramEditorInput {

  public DiagramEditorInputProxy(IEditorInput input, TransactionalEditingDomain domain) {
    super(input, domain);
    assert (input instanceof IDiagramEditorInput);
  }

  public Diagram getDiagram() {
    return ((IDiagramEditorInput)fProxied).getDiagram();
  }

}
